#ifndef GUIBUTTON_H
#define GUIBUTTON_H

#include "ofMain.h"
#include "guiUtils.h"


class guiButton
{
    public:
        guiButton();
        virtual ~guiButton();

        void setup( int x, int y, int w, int h, bool bOn = false);
        void setup( string myname, int x, int y, int w, int h, bool bOn = false);
        bool update(int x, int y);
        void draw();

        int getX(){ return hitBox.x; };
        int getY(){ return hitBox.y;};
        int getW(){ return hitBox.width; };
        int getH(){ return hitBox.height; };

        string name;
        bool  bOn;
        ofRectangle hitBox;

    protected:
    private:
};

#endif // GUIBUTTON_H
